from ...common.sync_node import SyncNode
from schemas.company.company import CompanyResponse


class CompanySyncNode(SyncNode[CompanyResponse]):
    """公司同步节点"""
    node_type = "company"
    schema = CompanyResponse
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)
